<?php
/**
 *
 * @author  ahrasis http://elk.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mod     STFS: Smart Title For SEO
 *
 */

if (!defined('ELK'))
	die('No access...');

function STFS_Titles()
{
	global $modSettings, $context, $topic, $board_info;
	// Load language(s)
	loadLanguage('STFS');
	// Redefine page title(s)
	if (!empty($modSettings['stfs_enable'])) {
		if (!empty($context['page_title_html_safe']) && !empty($topic))
			$context['page_title_html_safe'] = $context['forum_name']. ' - ' . $board_info['name'] . '  - ' . $context['page_title_html_safe'];
		if (!empty($context['page_title_html_safe']))
			$context['page_title_html_safe'] = $context['forum_name']. ' - ' . $context['page_title_html_safe'];
		else
			$context['page_title_html_safe'] = $context['forum_name'];
	}
}

function STFS_Settings(&$config_vars)
{
	// Load language(s)
	loadLanguage('STFS');
	// Add setting(s)
	$stfs = array(
			array('check', 'stfs_enable'),
			'',
	);
	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $stfs);
}
?>